\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, ../../yomcat, ../../diagrams, ../../dcpic}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 439 \hfill
Assignment 2 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \qs
	\begin{enumerate}
	\item[(10).] \begin{enumerate}[(a)]
		\item Show that every coequaliser is an epi.
		\item If $Y \pile{\rTo^{f} \\ \rTo_{g}} X \rTo^e E$ is a coequaliser diagram, show that $e$ is an isomorphism if and only if $f = g$.
		\item Show that in \textbf{Set}, every epimorphism fits into a coequaliser diagram.
	\end{enumerate}
	\item[(11).] \begin{enumerate}[(a)]
		\item Let \[\begin{diagram}
		Y & \rTo^g & X \\
		\dTo^f & & \dTo_a \\
		B & \rTo_b & A
		\end{diagram}\]
		pushout diagram with $f$ epi. Show that $a$ is also mono. Also, if $f$ is iso then so is $a$.
		\item Show that $f: B \to A$ is an epi if and only if \[\begin{diagram}
		B & \rTo^f & A \\
		\dTo^f & & \dTo_{\id{A}} \\
		A & \rTo_{\id{A}} & A
		\end{diagram}\]
		is a pushout.
		\item Consider the two commuting squares: \[\begin{diagram}
		Z & \rTo^h & Y & \rTo^g & X \\
		\dTo^d & & \dTo^f & & \dTo_a \\
		C & \rTo_c & B & \rTo_b & A
		\end{diagram}\]
		Show that if both squares are pushouts, then so is the composite square.
		\item Show that if the left hand square and the composite square are pushouts, then so is the right hand square.
	\end{enumerate}
	\item[(12).] An epi $f: B \to A$ which fits into a coequaliser diagram \[\begin{diagram}
		C & \pile{\rTo^{g} \\ \rTo_{h}} & B & \rTo^f & A
	\end{diagram}\]
	is called a \textit{coregular epi}.
	\begin{enumerate}[(a)]
		\item Show that if \[\begin{diagram}
			Y & \rTo^g & X \\
			\dTo^f & & \dTo_a \\
			B & \rTo_b & A
		\end{diagram}\]
		is a pushout and $f$ is a coregular epi, so is $a$.
		\item Show that if $f$ is a coregular epi and mono, then $f$ is iso.
		\item Show that every split epi is coregular.
		\item Show that, in \textbf{Grp}, every epi is coregular.
	\end{enumerate}
	\end{enumerate}

	\as
	All these proofs are done by duality. For an example, see question 2 of assignment 1. \pend
	\item 
	\item Let $Ff, Fg \in \mbc{D}$ be isomorphisms and let $Ff = Fg$. Also, let $A \rTo^f B \pile{\rTo^k \\ \rTo_h} C$ and $A \rTo^g B \pile{\rTo^{k'} \\ \rTo_{h'}} C$ be equaliser diagrams in \mbc{C}. As $F$ preserves equalisers,  $FA \rTo^{Ff} FB \pile{\rTo^{Fk} \\ \rTo_{Fh}} FC$ and $FA \rTo^{Fg} FB \pile{\rTo^{Fk'} \\ \rTo_{Fh'}} C$ are equaliser diagrams in \mbc{D}. However, $F$ also reflects isomorphisms, so $f$ and $g$ are both iso. \\
	By an earlier result, if $A \rTo^f B \pile{\rTo^k \\ \rTo_h} C$ is an equaliser diagram and $f$ is iso, then $k = h$, so the arrow from $B \to C$ is unique, so $k' = k = h = h'$, so $f = g$. Therefore $F: \Hom_\mbc{C}(A, B) \to \Hom_\mbc{D}(FA, FB)$ is injective, and so $F$ is faithful. \pend
	\item 
	\item 
	\item If $\eta$ is a natural transformation, then the following diagram commutes
		\[\begindc{\commdiag}[4]
		\obj(10,30)[a]{$A$}
		%\obj(3,35)[g]{$a$}
		\obj(30,30)[c]{$B$}
		%\obj(37,35)[hg]{$f(a)$}
		\obj(10,10)[b]{$GF(A)$}
		%\obj(3,5)[gf]{$\{a\}$}
		\obj(30,10)[d]{$GF(B)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\eta_{A}$}[-1,0]
		\mor{c}{d}{$\eta_{B}$}
		\mor{a}{c}{$f$}
		\mor{b}{d}{\scriptsize{$GF(f)$}}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		%\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		%\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
	Let $d \in A$. Then \[\begindc{\commdiag}[4]
		\obj(10,30)[a]{$A$}
		\obj(3,35)[g]{$d$}
		\obj(30,30)[c]{$B$}
		\obj(37,35)[hg]{$f(d)$}
		\obj(10,10)[b]{$GF(A)$}
		\obj(3,5)[gf]{$\eta_A(d)$}
		\obj(30,10)[d]{$GF(B)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\eta_{A}$}[-1,0]
		\mor{c}{d}{$\eta_{B}$}
		\mor{a}{c}{$f$}
		\mor{b}{d}{\scriptsize{$GF(f)$}}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(34,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
	By definition of $\eta$, $\eta_B(f(d)) = m_{B, F(B)}(\id{F(B)})(f(d))$. As $m$ is natural, this is $GF(f)m_{A, F(A)}(\id{F(A)})(d) = GF(f)\eta_A(d)$. Therefore the following diagram commutes
	\[\begindc{\commdiag}[4]
		\obj(10,30)[a]{$A$}
		\obj(3,35)[g]{$d$}
		\obj(30,30)[c]{$B$}
		\obj(37,35)[hg]{$f(d)$}
		\obj(10,10)[b]{$GF(A)$}
		\obj(3,5)[gf]{$\eta_A(d)$}
		\obj(30,10)[d]{$GF(B)$}
		\obj(37,5)[hgf]{$\eta_B(f(d))$}
		\mor{a}{b}{$\eta_{A}$}[-1,0]
		\mor{c}{d}{$\eta_{B}$}
		\mor{a}{c}{$f$}
		\mor{b}{d}{\scriptsize{$GF(f)$}}[-1,0]
		\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(34,35)) \pright(15,15){} %top
		\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
	and so $\eta$ is a natural transformation from \id{\mbc{D}} to $GF$. \pend \\
	Dually, there is a natural transformation $\varepsilon$ from $FG$ to \id{\mbc{C}} defined by \[\varepsilon_A = \id{G(A)}(m^{-1}_{A,G(A)})\]
	\item \begin{enumerate}[(a)]
		\item[(ab)] As $\varepsilon_C$ is universal, there is only one way to make the following diagram commute for each $k: C \to C'$ \[\begin{diagram}
			FG(C) & \rTo^{\varepsilon_C} & C \\
			\dDotsto & & \dTo_k \\
			FG(C') & \rTo_{\varepsilon_{C'}} & C'
		\end{diagram}\]
		Choose this arrow as $Gk: G(C) \to G(C')$. As the diagram is commutative, $\varepsilon$ is natural and is therefore the counit of the adjunction. Furthermore, this choice of $Gk$ makes $G$ a functor, right adjoint to $F$. \pend
		\item[(c)] The unit of the adjunction is constructed by dualising the statement: \\
		Suppose that $G: \mbc{C} \to \mbc{D}$ is a functor and for each $D$ in \mbc{D} there is an object $F(D)$ of \mbc{C} and a universal arrow $\eta_D: D \to GF(D)$. Then $\eta$ is the unit of the adjunction.
	\end{enumerate}
	\item 
	\item Let $F$ and $F'$ be left adjoints to $G: A \to X$. Then each $x \in X$ is given two universal arrows $x \to FGx$ and $x \to F'Gx$. Therefore there is a natural isomorphism $\theta_x : F_x \to F'_x$ and so $F$ and $F'$ are isomorphic. \pend
	\item 
	\item 
	\item This proof depends on a lemma. \\
		\textbf{Lemma}: Let $f': \Hom(X, \bullet) \to \Hom(Y, \bullet)$ be the natural transformation induced by an arrow $f: Y \to X$ of \mbc{D}. Then $f'$ is mono iff $f$ is epi, while $f'$ is epi iff $f$ is split mono. \\
		\textbf{Proof}: Let $k$  be an element of $\Hom(X, C)$. Then $kf' = fk$, so the first result is the definition of an epi $f$. \\
		If $f'$ is epi, then there exists $h: X \to Y$ with with $hf' = fh = \id{Y}$, so $f$ has a left inverse and is therefore a split mono. Conversely, just reverse the reasoning. \pend \\
		\textbf{Proof of Theorem}: Apply Yoneda's Lemma to the natural transformation \[\Hom_\mbc{C}(X,Y) \rTo^G \Hom_\mbc{D}(GX,GY) \rTo^m \Hom_\mbc{C}(FGX, Y)\]
		This natural transformation, $\varrho$, is determined by the image of \id{X}, which is the counit $\varepsilon_X: FG(X) \to X$. But $m$ is an isomorphism, so $\varrho$ is a mono when $G$ is injective (faithful) and an epi when $G$ is surjective (full). By the lemma, \begin{enumerate}[(a)]
			\item $\varepsilon$ is an isomorphism iff $G$ is full and faithful. \pend
			\item $G$ is faithful iff all components of $\varepsilon$ are epi. \pend
		\end{enumerate}
	\item As $F$ and $G$ are pseudo inverses, then $FG = \id{\mbc{C}}$ and $GF = \id{\mbc{D}}$. Then construct the following pairs of natural transformations: \begin{enumerate}[]
		\item $\eta: \id{\mbc{C}} \to GF$ and $\varepsilon: FG \to \id{\mbc{D}}$.
		\item $\theta: \id{\mbc{D}} \to FG$ and $\zeta: GF \to \id{\mbc{C}}$.
	\end{enumerate}
	$\eta$ and $\varepsilon$ define the adjunction $F \vdash G$, while $\theta$ and $\zeta$ define the adjunction $F \dashv G$. \pend
\end{enumerate}

\end{document}